> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a location by ID

> Get a location by ID.



## OpenAPI

````yaml https://api.halth.com/v1/au/api-yaml get /v1/au/locations/{locationId}
openapi: 3.0.0
info:
  title: GovAU Connect Service
  description: HaltH connector for Australian Government services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security:
  - apiKey: []
tags: []
paths:
  /v1/au/locations/{locationId}:
    get:
      tags:
        - Location
      summary: Get a location by ID
      description: Get a location by ID.
      operationId: LocationController_retrieve
      parameters:
        - name: locationId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessLocation'
components:
  schemas:
    BusinessLocation:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        minorId:
          type: string
        createdAt:
          format: date-time
          type: string
        status:
          enum:
            - inactive
            - pending
            - active
            - paused
          type: string
      required:
        - id
        - name
        - minorId
        - createdAt
        - status

````